<nz-skeleton [nzLoading]="isLoading" nzActive="true">
  <div nz-row nzGutter="6">
    <div nz-col nzXs="24" nzSm="24" nzMd="12" nzXl="12" nzXXl="12" *ngFor="let region of regions"
      style="margin-bottom: 6px;">
      <nz-card nzSize="small" [nzTitle]="regionTitle" nzHoverable>
        <ng-template #regionTitle><a [routerLink]="['/region', region.id]">{{ region?.name }}</a>
        </ng-template>

        <div nz-row nzGutter="12" style="text-align: center;" nzAlign="middle" nzJustify="center">
          <div nz-col nzSpan="8" *ngFor="let resource of region?.resources">
            <img [src]="'assets/img/icons/' + resource.symbol + '.png'" height="42px;" />
            <div>{{ 'Economy.' + resource.symbol | translate }}</div>
            <div>
              <span style="color: gold" innerHtml="{{ resource.quality | q }}"></span>
            </div>
          </div>
        </div>

        <div nz-row nzGutter="12" style="text-align: center;" nzAlign="middle" nzJustify="center">
          <div nz-col nzSpan="4">
            <div nz-tooltip [nzTooltipTitle]="'Citizen.Population' | translate">
              <img src="assets/img/icons/user.png" height="32">
              <br>
              {{ region.population }}

            </div>
          </div>
          <div nz-col nzSpan="4">
            <div nz-tooltip [nzTooltipTitle]="'Citizen.DefenseSystem' | translate">
              <img src="assets/img/icons/Construction.DefenseSystem.png" height="32" width="32"
                style="margin-right: 3px" />
              <br>
              {{ region.defenseSystem }}

            </div>
          </div>
          <div nz-col nzSpan="4">
            <div nz-tooltip [nzTooltipTitle]="'Citizen.Hospital' | translate">
              <img src="assets/img/icons/Construction.Hospital.png" height="32" width="32" style="margin-right: 3px" />
              <br>
              {{ region.hospital }}
            </div>
          </div>
          <div nz-col nzSpan="4">
            <div nz-tooltip [nzTooltipTitle]="'Citizen.Buildings.Companies' | translate">
              <img src="assets/img/icons//company.png" height="32" width="32" style="margin-right: 3px" />
              <br>
              {{ region.companies }}
            </div>
          </div>
          <div nz-col nzSpan="4">
            <div nz-tooltip [nzTooltipTitle]="'Citizen.Buildings.Houses' | translate">
              <img src="assets/img/icons//Construction.House.png" height="32" width="32" style="margin-right: 3px" />
              <br>
              {{ region.houses }}
            </div>
          </div>
          <div nz-col nzSpan="4">
            <div nz-tooltip [nzTooltipTitle]="'Citizen.Buildings.Hotels' | translate">
              <img src="assets/img/icons//Construction.Hotel.png" height="32" width="32" style="margin-right: 3px" />
              <br>
              {{ region.hotels }}
            </div>
          </div>
        </div>
      </nz-card>
    </div>
  </div>
</nz-skeleton>
